'use server'

import { getAPIEnv } from "../api/getAPIEnv";

export function constructAPIUrl(endpoint:string){
    const { schema, host, port, basepath } = getAPIEnv();
    return `${schema}://${host}:${port}/${basepath}/${endpoint}`
}
export function constructUrl(endpoint:string){
    const { schema, host, port, basepath } = getAPIEnv();
    return `${schema}://${host}:${port}/${endpoint}`
}1